1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

1.50 showing as a 2.0 cant up or downgrade.

Discussion in 'Sony PSP - Mod and firmware discussion' started by berty642, Mar 3, 2007.

  1. berty642

    berty642 Regular member

    Joined:
    Mar 26, 2005
    Messages:
    489
    Likes Received:
    0
    Trophy Points:
    26
    Hi All
    Ages ago i downgraded my sons psp without a problem to 1.50, at that time i also installed an app that would trick the psp into thinking 2.0 was installed so that it would play the newer games (i told you it was ages ago) I was happily using dev hook and was able to emulate 2.71 but the latest games need higher. Thats the problem, i tried updating to 3.02 but i get a message saying 1.50 firmware not found and it will not proceed (thats not the exact message but thats the general idea) I tried loading a game to upgrade but i get a blank screen and the psp freezes i have to remove the battery, i then tried loading 2.71 onto the memory stick, made an update folder inside the game folder, i still get a blank screen when i try to update, i can see the x and the o highlighted but cant see on screen what its telling me to select if anything. I have also tried downgrading to 1.50 again but this does not work either, i havefollowed the instructions the way i did the first time but i cant get the extra file on the memory stick so i can start the downgrade.
    Any help greatly appreciated!
     
  2. orbitor

    orbitor Regular member

    Joined:
    Jul 7, 2004
    Messages:
    128
    Likes Received:
    0
    Trophy Points:
    26
    Have you tried removing the app that you said you were using to "trick" the psp? When you go into the system menu what ver does it say you are using?
     
  3. berty642

    berty642 Regular member

    Joined:
    Mar 26, 2005
    Messages:
    489
    Likes Received:
    0
    Trophy Points:
    26
    Hi
    The app isnt on the memory stick, it says im using 2.0 which i thought wouldnt run dev hook??? maybe im wrong?
     
  4. gasconade

    gasconade Regular member

    Joined:
    Feb 17, 2007
    Messages:
    862
    Likes Received:
    0
    Trophy Points:
    26
    they have DEVhook up to 3.11 emulation now...

    the best thing you could do is find that prog. you used to change the fw on your psp....there are some flashers out there that could achieve this for you, but I would use the version you used to do it in the first place....

    use the prog, to fix your registry....and then try going up to 3.03 OE-C.... OE-C has a recovery menu, so no matter what goes down, you will still have options....plus it allows you to play many of sony's newer games...
     

Share This Page